Ignore status in roleld_up_status if workflow only defines identity transition

2024-05-14 12:23 - Holger Just

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: 5.1.3   

Description

This is a similar issue to #37636.

In Project#rolled_up_statuses, we currently do not exclude workflows transitions which only define the identity transition (i.e. a

transition from one status to the exact same one). This results in statuses to be included here which do not actually take part of a

workflow (anymore) and which can not be changed after #37636.

The attached patch ignores these statuses in Project#rolled_up_statuses. This method is used in Redmine core only for the

ReportsController. It is also used by external plugins (such as the Agile plugin) to select the shown statuses.

Associated revisions

Revision 22833 - 2024-05-16 09:20 - Go MAEDA

Ignore statuses in Project#rolled_up_statuses which only have an identity transition defined (#40693).

Patch by Holger Just (@hjust).

Revision 22836 - 2024-05-18 06:58 - Go MAEDA

Merged r22833 to 5.1-stable (#40693).

History

#1 - 2024-05-15 06:02 - Go MAEDA

- Tracker changed from Patch to Defect

- Status changed from New to Confirmed

- Target version set to 5.1.3

Setting the target version to 5.1.3.

#2 - 2024-05-16 09:21 - Go MAEDA

- Tracker changed from Defect to Patch

- Category set to Issues workflow

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

Committed the patch in r22833. Thank you.

#3 - 2024-05-18 06:59 - Go MAEDA

- Status changed from Resolved to Closed

Merged the change to 5.1-stable.
